#!/bin/sh

# idees
wget -O ./site/data/idees.json https://idees.crapaud-fou.org/stats.php

# wiki
wget -O ./site/data/wiki.json https://wiki.crapaud-fou.org/stats.php

# rencontres
wget -O ./site/data/rencontres.json https://wiki.crapaud-fou.org/rencontres.php

# tube
wget -O ./site/data/tube.json https://tube.crapaud-fou.org/feeds/videos.json?sort=-publishedAt&filter=local

# chat
pip3 install -r ./scripts/requirements.txt
echo $ROCKETCHAT_GENERATION
if [ -n "$ROCKETCHAT_GENERATION" ]; then
    if [ $ROCKETCHAT_GENERATION = "MONTHLY" ] ; then
        python3 ./scripts/generate_chat_stat_monthly.py
    elif [ $ROCKETCHAT_GENERATION = "DAILY" ]; then
        python3 ./scripts/generate_chat_stat_daily.py
    fi
fi

python3 ./scripts/generate_chat_info.py

# global
python3 ./scripts/generate_global_info.py
